cd /data/adb/modules/
for module_id in $(ls)
do
if [ ! "$module_id" = "zhiwentexiao_cas" ];then
  let id++
  module_name=$(cat $module_id/module.prop | grep 'name')
  module_author=$(cat $module_id/module.prop | grep 'author')
  module_description=$(cat $module_id/module.prop | grep 'description')
  ui_print "******************************"
  ui_print "  $id.$module_id"
  ui_print "    名称：${module_name:5}"
  ui_print "    作者：${module_author:7}"
  ui_print "    简介：${module_description:12}"
  if [ -e "$module_id/system/media/theme/default/com.android.systemui" ];then
    ui_print "******************************"
    ui_print "  此模块已安装SystemUI主题相关内容"
    if [ -e "$module_id/remove" ];then
        ui_print "- 此模块已准备删除，无法影响本模块功能"
        ui_print "- 允许继续进行安装"
        sleep 1
        else 
    if [ -e "$module_id/disable" ];then
        ui_print "- 此模块已禁用，无法影响本模块功能"
        ui_print "- 允许继续进行安装"
        sleep 1
        else 
    ui_print "  将无法安装本模块"
    ui_print "  可选择删除或禁用此修改模块(推荐禁用"
    ui_print "******************************"
    ui_print "- 是否选择删除${module_name:5}"
    ui_print "- [音量+]删除(选择后一旦重启此模块将不复存在)"
    ui_print "- [音量-]不删除(建议禁用)"
    if $VOLKEY_FUNC ; then
        ui_print "****************************************"
        ui_print "- 已选择[删除]"
        touch $module_id/remove
        sleep 1
    else 
        ui_print "****************************************"
        ui_print "- 已选择[不删除]"
        ui_print "- 是否选择禁用${module_name:5}"
        ui_print "- [音量+]禁用(模块功能会移至本模块)"
        ui_print "- [音量-]不禁用(那我只能退出安装了)"
        if $VOLKEY_FUNC ; then
            ui_print "****************************************"
            ui_print "- 已选择[禁用]"
            mkdir -p $MODPATH/system/
            cp -rf $module_id/system $MODPATH
            touch $module_id/disable
            yiliu=选择禁用的模块功能:${module_description:12}
            sleep 1
        else 
            ui_print "****************************************"
            ui_print "- 已选择[不禁用]"
            var_zhiwen=true
          fi
        fi
      fi
    fi
  fi
fi
done